<div class="ui-g ui-fluid">
  <div class="ui-g-12">
    <div class="card">
      <div class="ui-g">
        <div class="ui-g-4">
          <span class="ui-float-label">
            <input
              id="float-input"
              type="text"
              size="30"
              pInputText
            >
            <label for="float-input">Codigo</label>
          </span>
        </div>
        <div class="ui-g-4">
          <span class="ui-float-label">
            <input
              id="float-input"
              type="text"
              size="30"
              pInputText
            >
            <label for="float-input">Nome</label>
          </span>
        </div>
      </div>
    </div>

    <div class="card">
      <div class="ui-g">
        <p-table
          [value]="alunos"
          [paginator]="true"
          [rows]="10"
          [responsive]="true"
        >
          <ng-template pTemplate="caption">
            <button
              pButton
              type="button"
              pTooltip="Novo"
              [routerLink]="['/aluno','novo']"
              tooltipPosition="top"
              icon="pi pi-plus"
              class="ui-button-raised ui-button-success"
            ></button>
            <button
              pButton
              type="button"
              pTooltip="Pesquisar"
              (click)="alunoService.findOne(aluno.id)"
              tooltipPosition="top"
              icon="pi pi-search"
              class="ui-button-raised"
            ></button>
          </ng-template>
          <ng-template pTemplate="header">
            <tr>
              <th style="width: 91px;">Codigo</th>
              <th>Nome do Aluno</th>
              <th>Telefone</th>
              <th>Ação</th>
            </tr>
          </ng-template>
          <ng-template
            pTemplate="body"
            let-aluno
          >
            <tr>
              <td>{{aluno.id}}</td>
              <td>{{aluno.nome}}</td>
              <td>{{aluno.telefone}}</td>
              <td>
                <button
                  pButton
                  [routerLink]="['/aluno-detalhe',alunoService.findOne(aluno.id)]"
                  type="button"
                  icon="pi pi-pencil"
                  pTooltip="Editar"
                  tooltipPosition="top"
                  class="ui-button-warning"
                ></button>
                <button
                  pButton
                  (click)="alunoService.delete(aluno.id)"
                  type="button"
                  icon="pi pi-trash"
                  pTooltip="Excluir"
                  tooltipPosition="top"
                  class="ui-button-danger"
                ></button>
              </td>
            </tr>
          </ng-template>
          <ng-template pTemplate="emptymessage">
            <tr>
              <td colspan="4">Nenhum Aluno.</td>
            </tr>
          </ng-template>
          <ng-template pTemplate="summary">Existem {{alunos?.length}} Aluno</ng-template>
        </p-table>
      </div>
    </div>
  </div>
</div>
